Xeonr Developer Docs

Set Team Member Role

POST
/xeonr.auth.api.v1.TeamsService/SetTeamMemberRole

Changes a member's team role. A team always keeps at least one owner. Requires team owner.

Required scopes: auth:teams:manage or auth:teams:manage:app (the latter additionally requires the team to be entitled to the calling application)

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

team?string
Length1 <= length <= 128
memberId?string
Length1 <= length <= 128
role?string

The subject's governance role within a team. Product-level permissions are carried separately as per-application role names (ApplicationRole).

Value in"TEAM_ROLE_UNSPECIFIED" | "TEAM_ROLE_OWNER" | "TEAM_ROLE_MEMBER"
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.api.v1.TeamsService/SetTeamMemberRole" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}